Subject: Re: [EAI] #11: Capture the scenario of "SHOULD not use

From: Shawn Steele <[email-masked]>
Date: Mon, 19 Sep 2011 19:38:50 +0000

Dave commented:

>On 9/19/2011 7:58 AM, [email-masked] wrote:
>>>   "Implementers of message-id generation algorithms may prefer to restrain
>>>   their output to ASCII since that has a few minor advantages, such as when
>>>   constructing References fields in mailing-list threads where some senders
>>>   use EAI and others not."

> I looked over the draft, and this language made me very uncomfortable.

> The reason is that -- once again -- it has this draft trying to juggle a hybrid
> (UTF-8/ASCII-only) world, rather than a much simpler UTF-8 only world. 

IMO this does not harm, and I'd rather not have this topic delay the doc.  To me this paragraph might make you think about choosing ids when you do so, yet it is mild and doesn't prohibit UTF-8.  That said, I don't mind if it were cut either.  

-Shawn